<?php while (have_posts()) : the_post(); ?>
  <article <?php post_class(array('row', 'post-single')); ?>>
    <?php if(has_post_thumbnail()) :
      $thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'raabeschule');
      ?>
      <div class="col-xs-12 thumbnail-container">
        <img src="<?php echo $thumbnail[0]; ?>" alt="Thumbnail" class="post-thumbnail">
      </div>
    <?php endif; ?>
    <header class="col-xs-12">
      <h1 class="entry-title"><?php the_title(); ?></h1>
      <div class="entry-meta">
        <?php get_template_part('templates/entry-meta'); ?>
      </div>
    </header>
    <div class="entry-content col-xs-12">
      <?php the_content(); ?>
    </div>
    <footer>
      <?php wp_link_pages(['before' => '<nav class="page-nav"><p>' . __('Pages:', 'raabeschule'), 'after' => '</p></nav>']); ?>
    </footer>
    <div class="comment-container col-xs-12">
      <?php comments_template('/templates/comments.php'); ?>
    </div>
  </article>
<?php endwhile; ?>
