<?php
$the_query = new WP_Query(array(
'category_name' => 'featured'
));
if($the_query->have_posts()): ?>

<div id="featured-carousel" class="carousel-wrapper">
  <div id="carousel-featured" class="carousel slide container" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <?php for($i=0; $i<$the_query->post_count; $i++) {
        echo '<li data-target="#carousel-featured" data-slide-to="' . $i . '"' . ($i == 0 ? ' class="active"' : '') . '></li>';
      } ?>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner" role="listbox">
      <?php $count = 0;
      while($the_query->have_posts()): $the_query->the_post();
        if(has_post_thumbnail()): $thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'raabeschule'); ?>
          <div class="item<?php if($count == 0) echo ' active'; ?>">
            <div class="carousel-picture-wrapper">
              <a href="<?php the_permalink(); ?>" title="<?php echo _('More'); ?>"><img src="<?php echo $thumbnail[0]; ?>" alt="" ></a>
            </div>
            <div class="carousel-caption">
              <h3><a href="<?php the_permalink(); ?>" title="<?php echo _('More'); ?>"><?php the_title(); ?></a></h3>
            </div>
          </div>
      <?php
        endif;
        $count++;
      endwhile; ?>
    </div>

    <!-- Controls -->
    <a class="left carousel-control" href="#carousel-featured" role="button" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
      <span class="sr-only"><?php echo _('Previous'); ?></span>
    </a>
    <a class="right carousel-control" href="#carousel-featured" role="button" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
      <span class="sr-only"><?php echo _('Next'); ?></span>
    </a>
  </div>
</div>
<?php endif; ?>