<?php
/**
 * Template Name: Custom Sidebar
 *
 * @package Raabeschule
 */
the_post();
$sidebar = do_shortcode(get_post_custom(get_the_ID())['sidebar_body'][0]);
$sidebar_title = get_post_custom(get_the_ID())['sidebar_title'][0]; ?>
<article class="custom-sidebar-page<?php echo ($sidebar ? ' has-sidebar' : '');?>">
  <header>
    <h1 class="entry-title"><?php the_title() ?></h1>
  </header>
  <div class="entry-content">
    <?php the_content(); ?>
  </div>
</article>
<aside class="sidebar page-sidebar">
  <h2 class="page-sidebar-title"><?php echo $sidebar_title; ?></h2>
  <?php echo $sidebar; ?>
</aside>