<header class="banner">
  <div class="brand">
    <a class="brand-link" href="<?= esc_url(home_url('/')); ?>" title="<?php echo __('Home', 'raabeschule'); ?>"><img class="brand-logo" src="<?php echo \Raabeschule\Assets\asset_path('images/raabe_logo_inverse.svg'); ?>" alt="<?php bloginfo('name'); ?>"></a>
  </div>

  <div class="navbar navbar-inverse navbar-static-top nav-primary" id="top-navbar">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#main-navbar-collapse" aria-expanded="false">
          <span class="sr-only"><?php echo __('Toggle navigation', 'raabeschule'); ?></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="<?= esc_url(home_url('/')); ?>"><?php bloginfo('name'); ?></a>
      </div>

      <nav class="navbar-right collapse navbar-collapse" id="main-navbar-collapse" role="navigation">
        <?php
        if (has_nav_menu('primary_navigation')) :
          wp_nav_menu(['theme_location' => 'primary_navigation', 'walker' => new wp_bootstrap_navwalker(), 'menu_class' => 'nav navbar-nav']);
        endif; ?>
      </nav>
    </div>
  </div>
</header>
