<?php
/**
 * Template Name: Topic
 *
 * @package Raabeschule
 */
the_post();
?>
  <article>
    <header>
      <h1 class="topic-title"> <?php the_title(); ?></h1>
    </header>
    <div class="topic-page row">
      <ul>
        <?php
        $posts = get_pages(array('child_of' => get_the_ID(), 'parent' => get_the_ID(), 'orderby' => 'menu_order'));
        foreach($posts as $post){
          $thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'raabeschule'); ?>
          <a href="<?php the_permalink() ?>">
            <div class="topic-list-child-container col-md-4 col-xs-12">
              <li class="topic-list-child">
                <?php if($thumbnail) echo '<div class="overlay"></div><img src="' . $thumbnail[0] . '" alt="Thumbnail" class="post-thumbnail">'; ?>
                <div class="child-title"><?php the_title(); ?></div>
              </li>
            </div>
          </a>
        <?php } ?>
      </ul>
    </div>
    <div class="entry-content">
      <?php the_content();?>
    </div>
  </article>


<?php wp_link_pages(['before' => '<nav class="page-nav"><p>' . __('Pages:', 'raabeschule'), 'after' => '</p></nav>']); ?>
